Last Comment Bug 741038 - Dumb down mt touchscreen detection
: Dumb down mt touchscreen detection
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Widget (show other bugs)
: Trunk
: All Gonk (Firefox OS)
: -- normal (vote)
: mozilla14
Assigned To: Michael Wu [:mwu]
:
:
Mentors:
Depends on:
Blocks: gonk-ics
  Show dependency treegraph
 
Reported: 2012-03-30 20:47 PDT by Michael Wu [:mwu]
Modified: 2012-04-10 00:29 PDT (History)
9 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Dumb down mt touchscreen detection (910 bytes, patch)
2012-03-30 20:49 PDT, Michael Wu [:mwu]
cjones.bugs: review+
Details | Diff | Splinter Review

Description Michael Wu [:mwu] 2012-03-30 20:47:11 PDT
The mt touchscreen detection in EventHub.cpp tries to be too smart and breaks akami/maguro. Let's dumb it down until akami/maguro switch to ICS.
Comment 1 Michael Wu [:mwu] 2012-03-30 20:49:31 PDT
Created attachment 611119 [details] [diff] [review]
Dumb down mt touchscreen detection
Comment 2 Chris Jones [:cjones] inactive; ni?/f?/r? if you need me 2012-03-31 18:09:45 PDT
Comment on attachment 611119 [details] [diff] [review]
Dumb down mt touchscreen detection

Please document why this check is being removed.
Comment 3 José Antonio Olivera Ortega [:jaoo] 2012-04-02 04:17:19 PDT
Hardware buttons do not work on akami. 

I/InputReader(   83): Device reconfigured: id=6, name='ft5x0x_ts', surface size is now 320x480, mode is 1
W/InputReader(   83):   VirtualKey 139: could not obtain key code, ignoring
W/InputReader(   83):   VirtualKey 102: could not obtain key code, ignoring
W/InputReader(   83):   VirtualKey 217: could not obtain key code, ignoring
W/InputReader(   83):   VirtualKey 158: could not obtain key code, ignoring

Are these messages related to the problem?

Not sure if this is the best place to report that problem or if I should file a new bug.
Comment 4 Chris Jones [:cjones] inactive; ni?/f?/r? if you need me 2012-04-02 14:37:27 PDT
Likely related, yes.

You can try this patch out on akami and see if it fixes the bug --- download the patch, then |git apply| it to your gecko subdirectory in a b2g checkout.
Comment 5 José Antonio Olivera Ortega [:jaoo] 2012-04-03 00:39:58 PDT
I tried this patch out before reporting the problem. The patch solves the problem regarding the touchscreen (see [1]) but there is still something wrong with the hardware buttons.

[1] https://github.com/andreasgal/B2G/issues/254
Comment 6 Chris Jones [:cjones] inactive; ni?/f?/r? if you need me 2012-04-03 10:12:52 PDT
OK.  Please file a separate bug.
Comment 7 Vicamo Yang [:vicamo][:vyang] 2012-04-05 23:26:39 PDT
Hi, attachment 611119 [details] [diff] [review] solves the problem I bumped into in bug 740238 comment 7. With it, Akami's screenlock works as normal.
Comment 9 Cedric Van Goethem 2012-04-06 05:38:54 PDT
I have applied this patch but the issue's still there for touchscreens. Hardware buttons are responsive but touchscreen reports no input. (htc bravo).
Comment 10 Matt Brubeck (:mbrubeck) 2012-04-06 11:50:26 PDT
https://hg.mozilla.org/mozilla-central/rev/ff3f6dc55472

Note You need to log in before you can comment on or make changes to this bug.